package com.netobjects.nfc.components.adbanner;

import com.netobjects.nfc.api.CStringArray;
import com.netobjects.nfc.api.ComponentApp;
import com.netobjects.nfc.api.DAssetManager;
import com.netobjects.nfc.api.DDrawJava;
import com.netobjects.nfc.api.DImage;
import com.netobjects.nfc.api.DLayout;
import com.netobjects.nfc.api.DMessageBox;
import com.netobjects.nfc.api.DRect;
import com.netobjects.nfc.api.DSite;
import com.netobjects.nfc.api.DSize;
import com.netobjects.nfc.api.DStyle;
import com.netobjects.nfc.api.IDInspector;

public class AdBanner extends ComponentApp {
   DAssetManager assetMan;
   String theCodebase;
   DDrawJava theJavaApplet;
   static final int MAX_IMAGES = 50;
   static final int MAX_TRANSITIONS = 50;
   static final byte IMAGE_SIZE = 0;
   static final byte STANDARD_BANNER = 1;
   static final byte CUSTOM_SIZE = 2;
   static final byte FULL_BANNER = 0;
   static final byte FULL_BANNER_W_MENUBAR = 1;
   static final byte HALF_BANNER = 2;
   static final byte SQUARE_BUTTON = 3;
   static final byte BUTTON_1 = 4;
   static final byte BUTTON_2 = 5;
   static final byte MICRO_BUTTON = 6;
   static final byte VERTICAL_BANNER = 7;
   static final byte COLUMN_TRANSITION = 0;
   static final byte FADE_TRANSITION = 1;
   static final byte ROTATE_TRANSITION = 2;
   static final byte SMASH_TRANSITION = 3;
   static final byte TEAR_TRANSITION = 4;
   static final byte UNROLL_TRANSITION = 5;
   static final short FULL_BANNER_WIDTH = 468;
   static final short FULL_BANNER_HEIGHT = 60;
   static final short FULL_BANNER_W_MENUBAR_WIDTH = 392;
   static final short FULL_BANNER_W_MENUBAR_HEIGHT = 72;
   static final short HALF_BANNER_WIDTH = 234;
   static final short HALF_BANNER_HEIGHT = 60;
   static final short SQUARE_BUTTON_WIDTH = 125;
   static final short SQUARE_BUTTON_HEIGHT = 125;
   static final short BUTTON_1_WIDTH = 120;
   static final short BUTTON_1_HEIGHT = 90;
   static final short BUTTON_2_WIDTH = 120;
   static final short BUTTON_2_HEIGHT = 60;
   static final short MICRO_BUTTON_WIDTH = 88;
   static final short MICRO_BUTTON_HEIGHT = 31;
   static final short VERTICAL_BANNER_WIDTH = 120;
   static final short VERTICAL_BANNER_HEIGHT = 240;
   static final short DEFAULT_PAUSE_TIME = 3;
   static final String DEFAULT_IMAGE1 = new String("adbanner.gif");
   static final String DEFAULT_IMAGE2 = new String("adbanner2.gif");
   static final String DEFAULT_IMAGE3 = new String("adbanner3.gif");
   static final String JAVA_APPLET = new String("DynamicBanner.class");
   static final String ALT_TAG = new String("Rotating Ad Banner");
   static final String AUTO_RESIZE_QUESTION = new String("Your images are the wrong size for this banner type.  Do you want to attempt to reconfigure automatically for the right banner size?");
   static final String AUTO_RESIZING_OFF_WARNING = new String("All of your images are the same size.  Auto Resizing has been disabled to maximize compatibility with browsers");
   static final int DEFAULT_NUM_OF_IMAGES = 3;
   static final String WARN_INCOMPAT_MESSAGE = new String("An Ad Banner is using the Automatic resizing feature. It should be noted that this feature will make the ad banner incompatible with browsers that do not fully support Java 1.1.  Browsers that support Java 1.1 include Netscape Navigator 4.06 and higher, and Microsoft Internet Explorer 4 and higher.");
   static final String WARN_BAD_SIZING = new String("An Ad Banner is using mismatched images.  The size of the images may not match the size of the applet.  This may cause appearance or performance problems.  It is recommended that all images are resized to match the Banner Size, or the Banner Size should be changed to match the images.");
   int bannerSize;
   int bannerType;
   int bannerHeight;
   int bannerWidth;
   int pauseTime;
   int numOfImages;
   int autoResize;
   int warnIncompat;
   int warnBadSizing;
   static int warnIncompatDisplayedFlag;
   static int warnBadSizingDisplayedFlag;
   int imageChangeFlag;
   int[] transitions;
   int[] imageNames;
   int[] imageURLs;

   private int convertBGRtoRGB(int var1) {
      int var2 = (var1 & 255) << 16;
      int var3 = var1 & '\uff00';
      int var4 = (var1 & 16711680) >> 16;
      return var2 + var3 + var4;
   }

   public void onDrop(DLayout var1, DRect var2, int var3) {
      if (var3 == 1) {
         this.autoResize = 0;
         this.imageChangeFlag = 0;
         this.warnIncompat = 0;
         this.warnBadSizing = 0;
         warnIncompatDisplayedFlag = 0;
         warnBadSizingDisplayedFlag = 0;
         this.bannerType = 0;
         this.pauseTime = 3;
         this.numOfImages = 3;
         this.imageNames = new int[50];
         this.imageURLs = new int[50];
         this.transitions = new int[50];

         for(int var4 = 0; var4 < 50; ++var4) {
            this.imageURLs[var4] = 0;
            this.imageNames[var4] = 0;
         }

         this.theJavaApplet = new DDrawJava();
         this.theCodebase = this.theJavaApplet.getCodeBase();
         new DMessageBox();
         this.theJavaApplet.setImageFile(this.theCodebase + DEFAULT_IMAGE1);
         this.theJavaApplet.setAppletFileName(this.theCodebase + JAVA_APPLET);
         this.theJavaApplet.AddAdditionalAppletFile(this.theCodebase + "BannerData.class");
         this.theJavaApplet.AddAdditionalAppletFile(this.theCodebase + "BannerTransition.class");
         this.theJavaApplet.AddAdditionalAppletFile(this.theCodebase + "ColumnTransition.class");
         this.theJavaApplet.AddAdditionalAppletFile(this.theCodebase + "FadeTransition.class");
         this.theJavaApplet.AddAdditionalAppletFile(this.theCodebase + "RotateTransition.class");
         this.theJavaApplet.AddAdditionalAppletFile(this.theCodebase + "SmashTransition.class");
         this.theJavaApplet.AddAdditionalAppletFile(this.theCodebase + "TearTransition.class");
         this.theJavaApplet.AddAdditionalAppletFile(this.theCodebase + "UnrollTransition.class");
         this.theJavaApplet.setStretch(1);
         this.theJavaApplet.setAltTag(ALT_TAG);
         this.imageNames[0] = this.assetMan.AddAsset(this.theCodebase + DEFAULT_IMAGE1, "Image", "/");
         this.imageNames[1] = this.assetMan.AddAsset(this.theCodebase + DEFAULT_IMAGE2, "Image", "/");
         this.imageNames[2] = this.assetMan.AddAsset(this.theCodebase + DEFAULT_IMAGE3, "Image", "/");
         String var5 = this.theJavaApplet.getImageFile();
         DImage var6 = new DImage();
         var6.setImageFile(var5);
         DSize var7 = var6.getSize();
         this.bannerWidth = var7.getWidth();
         this.bannerHeight = var7.getHeight();
         this.theJavaApplet.SetPositionRect(var2.getLeft(), var2.getTop(), var2.getLeft() + var7.getWidth(), var2.getTop() + var7.getHeight());
         this.theJavaApplet.setStretch(1);
         var1.AddObject(this.theJavaApplet);
      }
   }

   protected void onFinalize() {
      for(int var1 = 0; var1 < this.numOfImages; ++var1) {
         if (this.imageNames[var1] != 0) {
            this.assetMan.RemoveAsset(this.imageNames[var1]);
         }
      }

   }

   public void onInspect(CStringArray var1, CStringArray var2) {
      var1.Set("Banner Type");
      var2.Set("Set(Image Size|Standard Banner Size|Custom)");
      if (this.bannerType == 2) {
         var1.Set("Width");
         var2.Set("Collection");
         var1.Set("Height");
         var2.Set("Collection");
      } else if (this.bannerType == 1) {
         var1.Set("Banner Size");
         var2.Set("Set(Full banner (468 x 60)|Full banner w/ menu bar (392 x 72)|Half banner (234 x 60)|Square button (125 x 125)|Button #1 (120 x 90)|Button #2 (120 x 60)|Micro button (88 x 31)|Vertical banner (120 x 240))");
      }

      var1.Set("Automatic Resizing");
      var2.Set("Set(Disabled|Enabled)");
      var1.Set("Pause Time (seconds)");
      var2.Set("Collection");
      var1.Set("Number of Images");
      var2.Set("Collection");

      for(int var3 = 0; var3 < this.numOfImages; ++var3) {
         var1.Set("Image " + Integer.toString(var3 + 1));
         var2.Set("Image");
         var1.Set("URL for Image " + Integer.toString(var3 + 1));
         var2.Set("Link");
         var1.Set("Transition " + Integer.toString(var3 + 1));
         var2.Set("Set(Column|Fade|Rotate|Smash|Tear|Unroll)");
      }

   }

   public String onInstall(DAssetManager var1, String var2) {
      this.assetMan = var1;
      warnIncompatDisplayedFlag = 0;
      warnBadSizingDisplayedFlag = 0;
      return ALT_TAG;
   }

   public void onPublish(DAssetManager var1, int var2) {
      if (var2 == 1) {
         for(int var3 = 0; var3 < this.numOfImages; ++var3) {
            String var4 = this.assetMan.GetAssetLocation(this.imageNames[var3], var2, 1);
            String var5 = this.assetMan.GetAssetLocation(this.imageURLs[var3], var2, 1);
            String var6 = new String();
            switch (this.transitions[var3]) {
               case 0:
                  var6 = "Column";
                  break;
               case 1:
                  var6 = "Fade";
                  break;
               case 2:
                  var6 = "Rotate";
                  break;
               case 3:
                  var6 = "Smash";
                  break;
               case 4:
                  var6 = "Tear";
                  break;
               case 5:
                  var6 = "Unroll";
            }

            this.theJavaApplet.AddParam("banner" + Integer.toString(var3), "String", var4 + "," + var5 + "," + var6);
         }
      } else {
         for(int var9 = 0; var9 < this.numOfImages; ++var9) {
            String var11 = this.assetMan.GetAssetRelativeLocation(this.imageNames[var9], var2, 1);
            String var13 = this.assetMan.GetAssetLocation(this.imageURLs[var9], var2, 1);
            String var15 = new String();
            switch (this.transitions[var9]) {
               case 0:
                  var15 = "Column";
                  break;
               case 1:
                  var15 = "Fade";
                  break;
               case 2:
                  var15 = "Rotate";
                  break;
               case 3:
                  var15 = "Smash";
                  break;
               case 4:
                  var15 = "Tear";
                  break;
               case 5:
                  var15 = "Unroll";
            }

            this.theJavaApplet.AddParam("banner" + Integer.toString(var9), "String", var11 + "," + var13 + "," + var15);
         }
      }

      DLayout var10 = this.theJavaApplet.getLayout();
      DSite var12 = var10.getSite();
      DStyle var14 = var12.getCurrentStyle();
      DMessageBox var16 = new DMessageBox();
      if (this.warnIncompat == 1 && warnIncompatDisplayedFlag == 0) {
         var16.Warnning(WARN_INCOMPAT_MESSAGE);
         warnIncompatDisplayedFlag = 1;
      }

      if (this.warnBadSizing == 1 && warnBadSizingDisplayedFlag == 0) {
         var16.Warnning(WARN_BAD_SIZING);
         warnBadSizingDisplayedFlag = 1;
      }

      this.theJavaApplet.AddParam("autoResize", "String", Integer.toString(this.autoResize));
      this.theJavaApplet.AddParam("delay", "String", Integer.toString(this.pauseTime));
      new String();
      int var8 = var10.getBackgroundStyle();
      if (var8 != 0) {
         if (var8 == 1) {
            String var7;
            for(var7 = Integer.toHexString(this.convertBGRtoRGB(var10.getBackgroundColor())).toUpperCase(); var7.length() < 6; var7 = "0" + var7) {
            }

            this.theJavaApplet.AddParam("bgcolor", "String", "#" + var7);
            return;
         }
      } else {
         var8 = var14.getBackgroundStyle();
         if (var8 == 1) {
            String var17;
            for(var17 = Integer.toHexString(this.convertBGRtoRGB(var10.getBackgroundColor())).toUpperCase(); var17.length() < 6; var17 = "0" + var17) {
            }

            this.theJavaApplet.AddParam("bgcolor", "String", "#" + var17);
         }
      }

   }

   public String PropertyListener(String var1, String var2, int var3, int var4, IDInspector var5) {
      DMessageBox var6 = new DMessageBox();
      if (var3 == 1) {
         if (var1.compareTo("Banner Type") == 0) {
            return Integer.toString(this.bannerType);
         }

         if (var1.compareTo("Banner Size") == 0) {
            return Integer.toString(this.bannerSize);
         }

         if (var1.compareTo("Width") == 0) {
            return Integer.toString(this.bannerWidth);
         }

         if (var1.compareTo("Height") == 0) {
            return Integer.toString(this.bannerHeight);
         }

         if (var1.compareTo("Pause Time (seconds)") == 0) {
            return Integer.toString(this.pauseTime);
         }

         if (var1.compareTo("Number of Images") == 0) {
            return Integer.toString(this.numOfImages);
         }

         if (var1.compareTo("Automatic Resizing") == 0) {
            return Integer.toString(this.autoResize);
         }

         for(int var7 = 0; var7 < this.numOfImages; ++var7) {
            if (var1.compareTo("Image " + Integer.toString(var7 + 1)) == 0) {
               return Integer.toString(this.imageNames[var7]);
            }

            if (var1.compareTo("URL for Image " + Integer.toString(var7 + 1)) == 0) {
               return Integer.toString(this.imageURLs[var7]);
            }

            if (var1.compareTo("Transition " + Integer.toString(var7 + 1)) == 0) {
               return Integer.toString(this.transitions[var7]);
            }
         }
      } else if (var1.compareTo("Banner Type") == 0) {
         this.bannerType = Integer.parseInt(var2);
         if (this.bannerType == 0) {
            DImage var14 = new DImage();
            String var8 = this.assetMan.GetAssetLocation(this.imageNames[0], 1, 1);
            var14.setImageFile(var8);
            if (this.bannerSize == 0) {
               DSize var9 = var14.getSize();
               this.bannerWidth = var9.getWidth();
               this.bannerHeight = var9.getHeight();
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
            }
         }
      } else if (var1.compareTo("Banner Size") == 0) {
         this.bannerSize = Integer.parseInt(var2);
         switch (this.bannerSize) {
            case 0:
               this.bannerWidth = 468;
               this.bannerHeight = 60;
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
               break;
            case 1:
               this.bannerWidth = 392;
               this.bannerHeight = 72;
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
               break;
            case 2:
               this.bannerWidth = 234;
               this.bannerHeight = 60;
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
               break;
            case 3:
               this.bannerWidth = 125;
               this.bannerHeight = 125;
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
               break;
            case 4:
               this.bannerWidth = 120;
               this.bannerHeight = 90;
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
               break;
            case 5:
               this.bannerWidth = 120;
               this.bannerHeight = 60;
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
               break;
            case 6:
               this.bannerWidth = 88;
               this.bannerHeight = 31;
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
               break;
            case 7:
               this.bannerWidth = 120;
               this.bannerHeight = 240;
               this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
         }
      } else if (var1.compareTo("Width") == 0) {
         if (Integer.parseInt(var2) <= 0) {
            this.bannerWidth = 1;
         } else {
            this.bannerWidth = Integer.parseInt(var2);
         }

         this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
      } else if (var1.compareTo("Height") == 0) {
         if (Integer.parseInt(var2) <= 0) {
            this.bannerHeight = 1;
         } else {
            this.bannerHeight = Integer.parseInt(var2);
         }

         this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
      } else if (var1.compareTo("Automatic Resizing") == 0) {
         this.autoResize = Integer.parseInt(var2);
      } else if (var1.compareTo("Pause Time (seconds)") == 0) {
         if (Integer.parseInt(var2) <= 0) {
            this.pauseTime = 1;
         } else {
            this.pauseTime = Integer.parseInt(var2);
         }
      } else if (var1.compareTo("Number of Images") == 0) {
         int var15 = 0;
         if (Integer.parseInt(var2) <= 0) {
            var15 = this.numOfImages;
            this.numOfImages = 1;
         } else if (Integer.parseInt(var2) > 50) {
            var15 = this.numOfImages;
            this.numOfImages = 50;
         } else {
            var15 = this.numOfImages;
            this.numOfImages = Integer.parseInt(var2);
         }

         if (var15 > this.numOfImages) {
            for(int var19 = this.numOfImages; var19 < var15; ++var19) {
               this.assetMan.RemoveAsset(this.imageNames[var19]);
               this.imageNames[var19] = 0;
               this.assetMan.RemoveAsset(this.imageURLs[var19]);
               this.imageURLs[var19] = 0;
               this.transitions[var19] = 0;
            }

            for(int var22 = this.numOfImages - 1; var22 >= 0; --var22) {
               if (this.imageNames[var22] != 0) {
                  String var10 = this.assetMan.GetAssetLocation(this.imageNames[var22], 1, 1);
                  this.theJavaApplet.setImageFile(var10);
                  if (this.bannerType == 0) {
                     DImage var11 = new DImage();
                     var11.setImageFile(var10);
                     DSize var12 = var11.getSize();
                     this.bannerWidth = var12.getWidth();
                     this.bannerHeight = var12.getHeight();
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                     DRect var13 = this.theJavaApplet.getObjectRect();
                     this.theJavaApplet.SetPositionRect(var13.getLeft(), var13.getTop(), var13.getLeft() + this.bannerWidth, var13.getTop() + this.bannerHeight);
                  } else {
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                     DRect var33 = this.theJavaApplet.getObjectRect();
                     this.theJavaApplet.SetPositionRect(var33.getLeft(), var33.getTop(), var33.getLeft() + this.bannerWidth, var33.getTop() + this.bannerHeight);
                  }
                  break;
               }
            }
         }
      } else {
         for(int var17 = 0; var17 < this.numOfImages; ++var17) {
            if (var1.compareTo("Image " + Integer.toString(var17 + 1)) == 0) {
               if (this.imageNames[var17] != 0) {
                  this.assetMan.RemoveAsset(this.imageNames[var17]);
               }

               this.imageNames[var17] = Integer.parseInt(var2, 10);
               String var20 = this.assetMan.GetAssetLocation(this.imageNames[var17], 1, 1);
               this.theJavaApplet.setImageFile(var20);
               this.imageChangeFlag = 1;
               if (this.bannerType == 0) {
                  DImage var23 = new DImage();
                  var23.setImageFile(var20);
                  DSize var29 = var23.getSize();
                  this.bannerWidth = var29.getWidth();
                  this.bannerHeight = var29.getHeight();
                  this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  DRect var34 = this.theJavaApplet.getObjectRect();
                  this.theJavaApplet.SetPositionRect(var34.getLeft(), var34.getTop(), var34.getLeft() + this.bannerWidth, var34.getTop() + this.bannerHeight);
               } else {
                  this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
               }
            } else if (var1.compareTo("URL for Image " + Integer.toString(var17 + 1)) == 0) {
               this.imageURLs[var17] = Integer.parseInt(var2, 10);
            } else if (var1.compareTo("Transition " + Integer.toString(var17 + 1)) == 0) {
               this.transitions[var17] = Integer.parseInt(var2, 10);
            }
         }
      }

      DImage var18 = new DImage();
      DImage var21 = new DImage();
      new DSize();
      new DSize();
      boolean var35 = false;
      if (this.bannerType == 0) {
         if (this.numOfImages > 1) {
            var18.setImageFile(this.assetMan.GetAssetLocation(this.imageNames[0], 0, 1));
            DSize var24 = var18.getSize();

            for(int var36 = 1; var36 < this.numOfImages; ++var36) {
               var21.setImageFile(this.assetMan.GetAssetLocation(this.imageNames[var36], 0, 1));
               DSize var30 = var21.getSize();
               if (var24.getWidth() != var30.getWidth() || var24.getHeight() != var30.getHeight()) {
                  var35 = true;
                  break;
               }

               var24 = var30;
            }

            if (var35) {
               if (this.autoResize == 1) {
                  this.warnIncompat = 1;
                  this.warnBadSizing = 0;
               } else {
                  this.warnBadSizing = 1;
                  this.warnIncompat = 0;
               }
            } else {
               if (this.autoResize == 1) {
                  var6.Warnning(AUTO_RESIZING_OFF_WARNING);
                  this.autoResize = 0;
               }

               this.warnIncompat = 0;
               this.warnBadSizing = 0;
            }
         } else {
            if (this.autoResize == 1) {
               var6.Warnning(AUTO_RESIZING_OFF_WARNING);
               this.autoResize = 0;
            }

            this.warnIncompat = 0;
            this.warnBadSizing = 0;
         }
      } else if (this.bannerType == 2) {
         if (this.numOfImages > 1) {
            var18.setImageFile(this.assetMan.GetAssetLocation(this.imageNames[0], 0, 1));
            DSize var25 = var18.getSize();

            for(int var37 = 1; var37 < this.numOfImages; ++var37) {
               var21.setImageFile(this.assetMan.GetAssetLocation(this.imageNames[var37], 0, 1));
               DSize var31 = var21.getSize();
               if (var25.getWidth() != var31.getWidth() || var25.getHeight() != var31.getHeight()) {
                  var35 = true;
                  break;
               }

               var25 = var31;
            }

            if (var35) {
               if (this.autoResize == 1) {
                  this.warnIncompat = 1;
                  this.warnBadSizing = 0;
               } else {
                  this.warnBadSizing = 1;
                  this.warnIncompat = 0;
               }
            } else if (var25.getWidth() == this.bannerWidth && var25.getHeight() == this.bannerHeight) {
               if (this.autoResize == 1) {
                  var6.Warnning(AUTO_RESIZING_OFF_WARNING);
                  this.autoResize = 0;
               }

               this.warnIncompat = 0;
               this.warnBadSizing = 0;
            } else if (this.autoResize == 1) {
               this.warnIncompat = 1;
               this.warnBadSizing = 0;
            } else {
               this.warnBadSizing = 1;
               this.warnIncompat = 0;
            }
         } else {
            var18.setImageFile(this.assetMan.GetAssetLocation(this.imageNames[0], 0, 1));
            DSize var26 = var18.getSize();
            if (var26.getWidth() == this.bannerWidth && var26.getHeight() == this.bannerHeight && this.autoResize == 1) {
               var6.Warnning(AUTO_RESIZING_OFF_WARNING);
               this.autoResize = 0;
            }

            this.warnIncompat = 0;
            this.warnBadSizing = 0;
         }
      } else if (this.numOfImages > 1) {
         var18.setImageFile(this.assetMan.GetAssetLocation(this.imageNames[0], 0, 1));
         DSize var27 = var18.getSize();

         for(int var38 = 1; var38 < this.numOfImages; ++var38) {
            var21.setImageFile(this.assetMan.GetAssetLocation(this.imageNames[var38], 0, 1));
            DSize var32 = var21.getSize();
            if (var27.getWidth() != var32.getWidth() || var27.getHeight() != var32.getHeight()) {
               var35 = true;
               break;
            }

            var27 = var32;
         }

         if (var35) {
            if (this.autoResize == 1) {
               this.warnIncompat = 1;
               this.warnBadSizing = 0;
            } else {
               this.warnBadSizing = 1;
               this.warnIncompat = 0;
            }
         } else if (var27.getWidth() == this.bannerWidth && var27.getHeight() == this.bannerHeight) {
            if (this.autoResize == 1) {
               var6.Warnning(AUTO_RESIZING_OFF_WARNING);
               this.autoResize = 0;
            }

            this.warnIncompat = 0;
            this.warnBadSizing = 0;
         } else if (this.autoResize == 1) {
            this.warnIncompat = 1;
            this.warnBadSizing = 0;
         } else if (this.imageChangeFlag == 1 && var6.Alert(AUTO_RESIZE_QUESTION) == 1) {
            switch (var27.getWidth()) {
               case 88:
                  if (var27.getHeight() == 31) {
                     this.bannerSize = 6;
                     this.bannerWidth = 88;
                     this.bannerHeight = 31;
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  }
                  break;
               case 120:
                  if (var27.getHeight() == 90) {
                     this.bannerSize = 4;
                     this.bannerWidth = 120;
                     this.bannerHeight = 90;
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  } else if (var27.getHeight() == 60) {
                     this.bannerSize = 5;
                     this.bannerWidth = 120;
                     this.bannerHeight = 60;
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  } else if (var27.getHeight() == 240) {
                     this.bannerSize = 7;
                     this.bannerWidth = 120;
                     this.bannerHeight = 240;
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  }
                  break;
               case 125:
                  if (var27.getHeight() == 125) {
                     this.bannerSize = 3;
                     this.bannerWidth = 125;
                     this.bannerHeight = 125;
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  }
                  break;
               case 234:
                  if (var27.getHeight() == 60) {
                     this.bannerSize = 2;
                     this.bannerWidth = 234;
                     this.bannerHeight = 60;
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  }
                  break;
               case 392:
                  if (var27.getHeight() == 72) {
                     this.bannerSize = 1;
                     this.bannerWidth = 392;
                     this.bannerHeight = 72;
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  }
                  break;
               case 468:
                  if (var27.getHeight() == 60) {
                     this.bannerSize = 0;
                     this.bannerWidth = 468;
                     this.bannerHeight = 60;
                     this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
                  }
                  break;
               default:
                  this.bannerType = 0;
                  this.bannerWidth = var27.getWidth();
                  this.bannerHeight = var27.getHeight();
                  this.theJavaApplet.SetSize(this.bannerWidth, this.bannerHeight);
            }
         } else {
            this.warnBadSizing = 1;
            this.warnIncompat = 0;
         }
      } else {
         var18.setImageFile(this.assetMan.GetAssetLocation(this.imageNames[0], 0, 1));
         DSize var28 = var18.getSize();
         if (var28.getWidth() == this.bannerWidth && var28.getHeight() == this.bannerHeight && this.autoResize == 1) {
            var6.Warnning(AUTO_RESIZING_OFF_WARNING);
            this.autoResize = 0;
         }

         this.warnIncompat = 0;
         this.warnBadSizing = 0;
      }

      if (var5 != null) {
         var5.OnPropertyChanged(-1);
      }

      return null;
   }
}
