import java.awt.Image;

public abstract class BannerTransition {
   protected DynamicBanner owner;
   protected int pixelsPerImage;
   protected int imageWidth;
   protected int imageHeight;
   public int numOfFrames;
   public int delay;
   public Image[] frames;
   protected int[] workPixels;

   public final void clearFrames() {
      for(int var1 = 0; var1 < this.numOfFrames; ++var1) {
         this.frames[var1].flush();
      }

      this.numOfFrames = 0;
   }

   public abstract void finishInit();

   public void initialize(DynamicBanner var1, int var2, int var3) {
      this.owner = var1;
      this.imageWidth = var2;
      this.imageHeight = var3;
      this.pixelsPerImage = var2 * var3;
      this.frames = new Image[this.numOfFrames];
      this.workPixels = new int[this.pixelsPerImage];
      this.delay = 120;
      this.finishInit();
   }
}
