import java.awt.image.MemoryImageSource;

public class ColumnTransition extends BannerTransition {
   static final int WIDTH_INCREMENT = 3;
   static final int MAX_COLUMN_WIDTH = 24;
   int lastMaxColumnsWidth;
   int lastColumnsStart;
   int columnWidth = 3;

   public ColumnTransition() {
      super.numOfFrames = 7;
   }

   public void finishInit() {
      super.delay = 200;
      this.lastMaxColumnsWidth = super.imageWidth % 24;
      this.lastColumnsStart = super.imageWidth - this.lastMaxColumnsWidth;
      System.arraycopy(super.owner.banners[super.owner.currentBanner].imagePixels, 0, super.workPixels, 0, super.pixelsPerImage);

      for(int var1 = 0; var1 < super.numOfFrames; ++var1) {
         try {
            Thread.sleep(100L);
         } catch (InterruptedException var3) {
         }

         this.NextFrame();

         try {
            Thread.sleep(150L);
         } catch (InterruptedException var2) {
         }

         super.frames[var1] = super.owner.createImage(new MemoryImageSource(super.imageWidth, super.imageHeight, super.workPixels, 0, super.imageWidth));
         super.owner.prepareImage(super.frames[var1], super.owner);
         this.columnWidth += 3;
      }

      super.workPixels = null;
   }

   void NextFrame() {
      int var1 = 24 - this.columnWidth;

      for(int var2 = super.pixelsPerImage - super.imageWidth; var2 >= 0; var2 -= super.imageWidth) {
         for(int var3 = 0; var3 < this.lastColumnsStart; var3 += 24) {
            System.arraycopy(super.owner.banners[super.owner.nextBanner].imagePixels, var3 + var2, super.workPixels, var1 + var3 + var2, this.columnWidth);
         }

         if (var1 <= this.lastMaxColumnsWidth) {
            System.arraycopy(super.owner.banners[super.owner.nextBanner].imagePixels, this.lastColumnsStart + var2, super.workPixels, this.lastColumnsStart + var1 + var2 - 1, this.lastMaxColumnsWidth - var1 + 1);
         }
      }

   }
}
